List all pass templates
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.getstell.com/v1/templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"templates": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"programId": "<string>",
"backFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>",
"localizedValue": {},
"dataDetectorTypes": [],
"ignoresTimeZone": true,
"attributedValue": "<string>",
"localizedLabel": {},
"changeMessage": "<string>",
"row": 123,
"currencyCode": "<string>",
"isRelative": true
}
],
"associatedStoreIdentifiers": [
"<string>"
],
"description": "<string>",
"auxiliaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>",
"localizedValue": {},
"dataDetectorTypes": [],
"ignoresTimeZone": true,
"attributedValue": "<string>",
"localizedLabel": {},
"changeMessage": "<string>",
"row": 123,
"currencyCode": "<string>",
"isRelative": true
}
],
"colors": {
"backgroundColor": "<string>",
"foregroundColor": "<string>",
"stripColor": "<string>",
"labelColor": "<string>"
},
"sharingProhibited": true,
"defaultLanguage": "<string>",
"passStyle": "<string>",
"supportedLanguages": [
"<string>"
],
"headerFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>",
"localizedValue": {},
"dataDetectorTypes": [],
"ignoresTimeZone": true,
"attributedValue": "<string>",
"localizedLabel": {},
"changeMessage": "<string>",
"row": 123,
"currencyCode": "<string>",
"isRelative": true
}
],
"logoText": "<string>",
"organizationName": "<string>",
"secondaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>",
"localizedValue": {},
"dataDetectorTypes": [],
"ignoresTimeZone": true,
"attributedValue": "<string>",
"localizedLabel": {},
"changeMessage": "<string>",
"row": 123,
"currencyCode": "<string>",
"isRelative": true
}
],
"semanticTags": {
"eventLiveMessage": "<string>",
"leagueAbbreviation": "<string>",
"venuePhoneNumber": "<string>",
"priorityStatus": "<string>",
"tailgatingAllowed": true,
"seats": [
{
"seatIdentifier": "<string>",
"seatType": "<string>",
"seatDescription": "<string>",
"seatSection": "<string>",
"seatRow": "<string>",
"seatAisle": "<string>",
"seatSectionColor": "<string>",
"seatNumber": "<string>",
"seatLevel": "<string>"
}
],
"attendeeName": "<string>",
"leagueName": "<string>",
"securityScreening": "<string>",
"venueEntrance": "<string>",
"destinationGate": "<string>",
"balance": {
"amount": "<string>",
"currencyCode": "<string>"
},
"playlistIDs": [
"<string>"
],
"eventName": "<string>",
"vehicleNumber": "<string>",
"airplay": [
{
"airPlayDeviceGroupToken": "<string>"
}
],
"homeTeamLocation": "<string>",
"silenceRequested": true,
"awayTeamAbbreviation": "<string>",
"departureAirportCode": "<string>",
"vehicleType": "<string>",
"departurePlatform": "<string>",
"awayTeamLocation": "<string>",
"destinationLocationDescription": "<string>",
"boardingSequenceNumber": "<string>",
"venueEntrancePortal": "<string>",
"additionalTicketAttributes": "<string>",
"destinationAirportName": "<string>",
"membershipProgramNumber": "<string>",
"venueOpenDate": "2023-11-07T05:31:56Z",
"admissionLevelAbbreviation": "<string>",
"currentBoardingDate": "2023-11-07T05:31:56Z",
"flightNumber": 123,
"artistIDs": [
"<string>"
],
"carNumber": "<string>",
"venueName": "<string>",
"eventStartDateInfo": {
"date": "<string>",
"ignoreTimeComponents": true,
"timeZone": "<string>"
},
"confirmationNumber": "<string>",
"venueParkingLotsOpenDate": "2023-11-07T05:31:56Z",
"originalBoardingDate": "2023-11-07T05:31:56Z",
"awayTeamName": "<string>",
"albumIDs": [
"<string>"
],
"destinationPlatform": "<string>",
"homeTeamAbbreviation": "<string>",
"sportName": "<string>",
"departureAirportName": "<string>",
"venueLocation": {
"latitude": 0,
"longitude": 0
},
"wifiAccess": [
{
"password": "<string>",
"ssid": "<string>"
}
],
"eventStartDate": "2023-11-07T05:31:56Z",
"passengerName": {
"namePrefix": "<string>",
"familyName": "<string>",
"givenName": "<string>",
"nickname": "<string>",
"nameSuffix": "<string>",
"middleName": "<string>",
"phoneticRepresentation": "<string>"
},
"destinationAirportCode": "<string>",
"vehicleName": "<string>",
"entranceDescription": "<string>",
"departureGate": "<string>",
"totalPrice": {
"amount": "<string>",
"currencyCode": "<string>"
},
"venueEntranceGate": "<string>",
"venueRoom": "<string>",
"venueFanZoneOpenDate": "2023-11-07T05:31:56Z",
"venueBoxOfficeOpenDate": "2023-11-07T05:31:56Z",
"destinationLocation": {
"latitude": 0,
"longitude": 0
},
"departureLocationDescription": "<string>",
"originalDepartureDate": "2023-11-07T05:31:56Z",
"duration": 123,
"boardingGroup": "<string>",
"currentDepartureDate": "2023-11-07T05:31:56Z",
"destinationTerminal": "<string>",
"genre": "<string>",
"airlineCode": "<string>",
"currentArrivalDate": "2023-11-07T05:31:56Z",
"admissionLevel": "<string>",
"originalArrivalDate": "2023-11-07T05:31:56Z",
"eventEndDate": "2023-11-07T05:31:56Z",
"departureTerminal": "<string>",
"membershipProgramName": "<string>",
"transitProvider": "<string>",
"departureLocation": {
"latitude": 0,
"longitude": 0
},
"flightCode": "<string>",
"transitStatusReason": "<string>",
"venueGatesOpenDate": "2023-11-07T05:31:56Z",
"venueEntranceDoor": "<string>",
"performerNames": [
"<string>"
],
"venueDoorsOpenDate": "2023-11-07T05:31:56Z",
"transitStatus": "<string>",
"venueRegionName": "<string>",
"departureStationName": "<string>",
"homeTeamName": "<string>",
"destinationStationName": "<string>",
"venueCloseDate": "2023-11-07T05:31:56Z"
},
"primaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>",
"localizedValue": {},
"dataDetectorTypes": [],
"ignoresTimeZone": true,
"attributedValue": "<string>",
"localizedLabel": {},
"changeMessage": "<string>",
"row": 123,
"currencyCode": "<string>",
"isRelative": true
}
],
"maxDistance": 123,
"barcodes": [
{
"payload": "<string>",
"messageEncoding": "<string>",
"altText": "<string>"
}
],
"beacons": [
{
"name": "<string>",
"uuid": "<string>",
"major": 32767,
"minor": 32767,
"lockScreenMessage": "<string>"
}
],
"appLaunchURL": "<string>",
"locations": [
{
"altitude": 123,
"relevantText": "<string>",
"latitude": 123,
"longitude": 123
}
]
}
],
"nextToken": "<string>"
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Pass Templates
List all pass templates
Retrieve all pass templates across programs with filtering and pagination.
GET
https://api.platform.getstell.com
/
v1
/
templates
List all pass templates
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.platform.getstell.com/v1/templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request GET \
--url https://api.platform.getstell.com/v1/templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.platform.getstell.com/v1/templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": {
"templates": [
{
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"programId": "<string>",
"backFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>",
"localizedValue": {},
"dataDetectorTypes": [],
"ignoresTimeZone": true,
"attributedValue": "<string>",
"localizedLabel": {},
"changeMessage": "<string>",
"row": 123,
"currencyCode": "<string>",
"isRelative": true
}
],
"associatedStoreIdentifiers": [
"<string>"
],
"description": "<string>",
"auxiliaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>",
"localizedValue": {},
"dataDetectorTypes": [],
"ignoresTimeZone": true,
"attributedValue": "<string>",
"localizedLabel": {},
"changeMessage": "<string>",
"row": 123,
"currencyCode": "<string>",
"isRelative": true
}
],
"colors": {
"backgroundColor": "<string>",
"foregroundColor": "<string>",
"stripColor": "<string>",
"labelColor": "<string>"
},
"sharingProhibited": true,
"defaultLanguage": "<string>",
"passStyle": "<string>",
"supportedLanguages": [
"<string>"
],
"headerFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>",
"localizedValue": {},
"dataDetectorTypes": [],
"ignoresTimeZone": true,
"attributedValue": "<string>",
"localizedLabel": {},
"changeMessage": "<string>",
"row": 123,
"currencyCode": "<string>",
"isRelative": true
}
],
"logoText": "<string>",
"organizationName": "<string>",
"secondaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>",
"localizedValue": {},
"dataDetectorTypes": [],
"ignoresTimeZone": true,
"attributedValue": "<string>",
"localizedLabel": {},
"changeMessage": "<string>",
"row": 123,
"currencyCode": "<string>",
"isRelative": true
}
],
"semanticTags": {
"eventLiveMessage": "<string>",
"leagueAbbreviation": "<string>",
"venuePhoneNumber": "<string>",
"priorityStatus": "<string>",
"tailgatingAllowed": true,
"seats": [
{
"seatIdentifier": "<string>",
"seatType": "<string>",
"seatDescription": "<string>",
"seatSection": "<string>",
"seatRow": "<string>",
"seatAisle": "<string>",
"seatSectionColor": "<string>",
"seatNumber": "<string>",
"seatLevel": "<string>"
}
],
"attendeeName": "<string>",
"leagueName": "<string>",
"securityScreening": "<string>",
"venueEntrance": "<string>",
"destinationGate": "<string>",
"balance": {
"amount": "<string>",
"currencyCode": "<string>"
},
"playlistIDs": [
"<string>"
],
"eventName": "<string>",
"vehicleNumber": "<string>",
"airplay": [
{
"airPlayDeviceGroupToken": "<string>"
}
],
"homeTeamLocation": "<string>",
"silenceRequested": true,
"awayTeamAbbreviation": "<string>",
"departureAirportCode": "<string>",
"vehicleType": "<string>",
"departurePlatform": "<string>",
"awayTeamLocation": "<string>",
"destinationLocationDescription": "<string>",
"boardingSequenceNumber": "<string>",
"venueEntrancePortal": "<string>",
"additionalTicketAttributes": "<string>",
"destinationAirportName": "<string>",
"membershipProgramNumber": "<string>",
"venueOpenDate": "2023-11-07T05:31:56Z",
"admissionLevelAbbreviation": "<string>",
"currentBoardingDate": "2023-11-07T05:31:56Z",
"flightNumber": 123,
"artistIDs": [
"<string>"
],
"carNumber": "<string>",
"venueName": "<string>",
"eventStartDateInfo": {
"date": "<string>",
"ignoreTimeComponents": true,
"timeZone": "<string>"
},
"confirmationNumber": "<string>",
"venueParkingLotsOpenDate": "2023-11-07T05:31:56Z",
"originalBoardingDate": "2023-11-07T05:31:56Z",
"awayTeamName": "<string>",
"albumIDs": [
"<string>"
],
"destinationPlatform": "<string>",
"homeTeamAbbreviation": "<string>",
"sportName": "<string>",
"departureAirportName": "<string>",
"venueLocation": {
"latitude": 0,
"longitude": 0
},
"wifiAccess": [
{
"password": "<string>",
"ssid": "<string>"
}
],
"eventStartDate": "2023-11-07T05:31:56Z",
"passengerName": {
"namePrefix": "<string>",
"familyName": "<string>",
"givenName": "<string>",
"nickname": "<string>",
"nameSuffix": "<string>",
"middleName": "<string>",
"phoneticRepresentation": "<string>"
},
"destinationAirportCode": "<string>",
"vehicleName": "<string>",
"entranceDescription": "<string>",
"departureGate": "<string>",
"totalPrice": {
"amount": "<string>",
"currencyCode": "<string>"
},
"venueEntranceGate": "<string>",
"venueRoom": "<string>",
"venueFanZoneOpenDate": "2023-11-07T05:31:56Z",
"venueBoxOfficeOpenDate": "2023-11-07T05:31:56Z",
"destinationLocation": {
"latitude": 0,
"longitude": 0
},
"departureLocationDescription": "<string>",
"originalDepartureDate": "2023-11-07T05:31:56Z",
"duration": 123,
"boardingGroup": "<string>",
"currentDepartureDate": "2023-11-07T05:31:56Z",
"destinationTerminal": "<string>",
"genre": "<string>",
"airlineCode": "<string>",
"currentArrivalDate": "2023-11-07T05:31:56Z",
"admissionLevel": "<string>",
"originalArrivalDate": "2023-11-07T05:31:56Z",
"eventEndDate": "2023-11-07T05:31:56Z",
"departureTerminal": "<string>",
"membershipProgramName": "<string>",
"transitProvider": "<string>",
"departureLocation": {
"latitude": 0,
"longitude": 0
},
"flightCode": "<string>",
"transitStatusReason": "<string>",
"venueGatesOpenDate": "2023-11-07T05:31:56Z",
"venueEntranceDoor": "<string>",
"performerNames": [
"<string>"
],
"venueDoorsOpenDate": "2023-11-07T05:31:56Z",
"transitStatus": "<string>",
"venueRegionName": "<string>",
"departureStationName": "<string>",
"homeTeamName": "<string>",
"destinationStationName": "<string>",
"venueCloseDate": "2023-11-07T05:31:56Z"
},
"primaryFields": [
{
"value": "<string>",
"key": "<string>",
"label": "<string>",
"localizedValue": {},
"dataDetectorTypes": [],
"ignoresTimeZone": true,
"attributedValue": "<string>",
"localizedLabel": {},
"changeMessage": "<string>",
"row": 123,
"currencyCode": "<string>",
"isRelative": true
}
],
"maxDistance": 123,
"barcodes": [
{
"payload": "<string>",
"messageEncoding": "<string>",
"altText": "<string>"
}
],
"beacons": [
{
"name": "<string>",
"uuid": "<string>",
"major": 32767,
"minor": 32767,
"lockScreenMessage": "<string>"
}
],
"appLaunchURL": "<string>",
"locations": [
{
"altitude": 123,
"relevantText": "<string>",
"latitude": 123,
"longitude": 123
}
]
}
],
"nextToken": "<string>"
},
"requestId": "<string>"
}{
"requestId": "<string>",
"error": {
"code": "BAD_REQUEST",
"message": "Invalid request parameters",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication required",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "FORBIDDEN",
"message": "Access denied to this resource",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "NOT_FOUND",
"message": "Resource not found",
"details": {}
}
}{
"requestId": "<string>",
"error": {
"code": "INTERNAL_ERROR",
"message": "An internal server error occurred",
"details": {}
}
}Authorizations
API key authentication. Include your API key as a Bearer token.
Example: Bearer sk_prod_xxxxxx
Get your API key from the Stell Dashboard.
⌘I